Method: customBiddingAlgorithms.rules.create

建立新的規則資源。如果成功,則傳回新建立的規則資源。

如果要求在指派給委刊項的演算法下建立自訂出價規則資源,系統會傳回錯誤。

HTTP 要求

POST https://displayvideo.googleapis.com/v5/customBiddingAlgorithms/{customBiddingAlgorithmId}/rules

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
customBiddingAlgorithmId

string (int64 format)

必填。擁有規則資源的自訂出價演算法 ID。

查詢參數

參數
必填。用來識別擁有父項自訂出價演算法的 DV360 實體。可以是夥伴或廣告主。以下是互斥欄位清單。回應中最多會設定下列其中一個欄位:
partnerId

string (int64 format)

擁有父項自訂出價演算法的夥伴 ID。

只有這個合作夥伴具備這項規則資源的寫入權限。

advertiserId

string (int64 format)

擁有上層自訂出價演算法的廣告主 ID。

互斥欄位結束。

要求主體

要求主體包含 CustomBiddingAlgorithmRules 的例項。

回應主體

如果成功,回應主體會包含新建立的 CustomBiddingAlgorithmRules 執行個體。

授權範圍

需要下列 OAuth 範圍:

  • https://www.googleapis.com/auth/display-video

詳情請參閱OAuth 2.0 Overview。